<?php
//APi验证类
class ApiCheck extends Check {
	//验证基本信息
	public function updateCheck(Model &$_model) {	
		
		if (self::isNullString($_POST['our_appkey'])) {
			$this->_message[] = '59秒 AppKey不得为空！';
			$this->_flag = false;
		}
		if (self::isNullString($_POST['our_appsecret'])) {
			$this->_message[] = '59秒AppSecret不得为空！';
			$this->_flag = false;
		}		
		if (self::isNullString($_POST['tao_pid'])) { 
			$this->_message[] = 'Tao_pid不得为空！';
			$this->_flag = false;
		}
		if (self::isNullString($_POST['tao_appkey'])) { 
			$this->_message[] = 'Tao_appkey不得为空！';
			$this->_flag = false;
		}	
		if (self::isNullString($_POST['tao_secret'])) {
			$this->_message[] = 'Tao_secret不得为空！';
			$this->_flag = false;
		}
		
		return $this->_flag;		
	}
}
?>